Bug 21262 - Upgrade conflicts between mga5's kdepim4-core and kde-l10n and mga6's kjots
Summary: Upgrade conflicts between mga5's kdepim4-core and kde-l10n and mga6's kjots
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: High major
Target Milestone: ---
Assignee: QA Team
QA Contact: KDE maintainers
URL:
Whiteboard: advisory has_procedure MGA6-64-OK
Keywords: validated_update
Depends on:
Blocks: 21340
  Show dependency treegraph
 
Reported: 2017-07-17 15:19 CEST by Rémi Verschelde
Modified: 2017-07-26 00:10 CEST (History)
1 user (show)

See Also:
Source RPM: kjots-5.0.2-1.mga6
CVE:
Status comment:


Attachments

Description Rémi Verschelde 2017-07-17 15:19:13 CEST
As reported on the discuss-fr ML, errors in French but they're business as usual:

Une erreur est survenue pendant l'installation des paquetages :

le fichier /usr/share/icons/hicolor/128x128/apps/kjots.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/hicolor/16x16/apps/kjots.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/hicolor/22x22/apps/kjots.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/hicolor/32x32/apps/kjots.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/hicolor/48x48/apps/kjots.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/hicolor/64x64/apps/kjots.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/hicolor/scalable/apps/kjots.svgz de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/oxygen/16x16/actions/edit-delete-page.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/oxygen/22x22/actions/edit-delete-page.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/oxygen/32x32/actions/edit-delete-page.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/oxygen/48x48/actions/edit-delete-page.png de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/icons/oxygen/scalable/actions/edit-delete-page.svgz de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kdepim4-core-2:4.14.5-1.mga5.i586

le fichier /usr/share/locale/fr/LC_MESSAGES/kjots.mo de l'installation de kjots-3:5.0.2-1.mga6.i586 entre en conflit avec le fichier du paquet kde-l10n-fr-4.14.3-1.mga5.noarch
Comment 1 Rémi Verschelde 2017-07-17 15:23:17 CEST
Pushed kjots-5.0.2-1.1.mga6 to 6 core/updates_testing that should fix this issue.

Advisory:
=========

Updated kjots package fixes upgrade path from Mageia 5

  The kjots package in Mageia 6 conflicts with the kdepim4-core and kde-l10n-*
  packages of Mageia 5, breaking the upgrade path. This update fixes it.


RPMs in core/updates_testing:
=============================

kjots-5.0.2-1.1.mga6

SRPMs in core/updates_testing:
==============================

kjots-5.0.2-1.1.mga6

Testing procedure:
==================

- Install Mageia 5 with KDE4, make sure kdepim4-core and one kde-l10n-<lang> package are installed
- Attempt an upgrade to Mageia 6, it might fail due to conflicts with kjots (reproducibility not guaranteed)

All in all, I don't think QA should spend too much time testing this. If Nicolas can review the changes and confirm they should fix the above errors, it should be good to validate: http://svnweb.mageia.org/packages/updates/6/kjots/current/SPECS/kjots.spec?r1=1124234&r2=1124233&pathrev=1124234

Assignee: kde => qa-bugs
Whiteboard: (none) => has_procedure
QA Contact: (none) => kde

Rémi Verschelde 2017-07-19 09:07:14 CEST

Whiteboard: has_procedure => advisory has_procedure

Rémi Verschelde 2017-07-24 14:21:52 CEST

Blocks: (none) => 21340

Rémi Verschelde 2017-07-24 18:27:51 CEST

Priority: Normal => High
Severity: normal => major

Comment 2 Rémi Verschelde 2017-07-25 23:57:43 CEST
Did not test the upgrade path from Mageia 5, but kjots-5.0.2-1.1.mga6 installs properly over kjots-5.0.2-1.mga6, and I'm pretty confident that my changes don't add any regression, so validating.

Keywords: (none) => validated_update
Whiteboard: advisory has_procedure => advisory has_procedure MGA6-64-OK
CC: (none) => sysadmin-bugs

Comment 3 Mageia Robot 2017-07-26 00:10:21 CEST
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGAA-2017-0033.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.